import { secureHeadersOptions } from "./framework-headers";
export declare class HTTPHeaders {
    header: string;
    value: string;
    info: string;
    constructor(header: string, value: string, info?: string);
}
export declare class SecurityHeaders {
    static server: HTTPHeaders;
    static httpStrictTransportSecurity: HTTPHeaders;
    static xFrameOptions: HTTPHeaders;
    static xXssProtection: HTTPHeaders;
    static xContentTypeOptions: HTTPHeaders;
    static contentSecurityPolicy: HTTPHeaders;
    static referrerPolicy: HTTPHeaders;
    static cacheControl: HTTPHeaders;
    static pragma: HTTPHeaders;
    static expires: HTTPHeaders;
    static featurePolicy: HTTPHeaders;
    static secureHeaders(options: secureHeadersOptions): HTTPHeaders[];
}
export declare function parseOptions(options: secureHeadersOptions): secureHeadersOptions;
export declare function headerObject(options: secureHeadersOptions): headerObj;
export declare function setHeaderTuple(response: any, options: secureHeadersOptions): void;
export interface headerObj {
    Server?: string;
    "Strict-Transport-Security"?: string;
    "X-Frame-Options"?: string;
    "X-XSS-Protection"?: string;
    "X-Content-Type-Options"?: string;
    "Content-Security-Policy"?: string;
    "Referrer-Policy"?: string;
    Pragma?: string;
    Expires?: string;
    "Cache-control"?: string;
    "Feature-Policy"?: string;
    [key: string]: string | undefined;
}
